nv-remote-retry
=====================
- retry task using redis


install
=======
- npm install nv-remote-retry 

usage
=====

      const RRetry = require("nv-remote-retry")
      var cfg = {
          password='redis';
          db =15;
          port=6379;
          host='127.0.0.1';
          family=4
      }

      var retry = new RRetry(cfg)
      await retry.init()


example
=======


        const handle = async (a,b,c)=> {
               console.log(a,b,c)
               let rand = Math.random();
               if(rand>0.5) {
                     return([true,rand])
               } else {
                    return([false,rand])
               } 
        }

        const args_ary = [
             new Map([100,200]),
             new Set([300,400]),
            {a:500,b:[600,700]}
        ]

        await retry.add_retry_task(handle,args_ary,5,6000);                 //retry max 5 times  for every  6 second


METHODS
=======

          async .add_retry_task(
                 handle           : Function | Lambda,
                 args_ary         : Array<any@StructureClonable>,
                 max_retry_times  : Int32 ,
                 retry_interval   : Int32@('unit IS "ms")
          ) -> [
              id#0  :  Int@(#0 < 2**48), 
              rid#1 :  Int@(#1+#0 === 2**48)
          ]
          
          
          async .cancel_retry_task(id:Number)


LICENSE
=======
- ISC 
